GNU bug report logs - #889
23.0.60; "Recover Crashed Session" is misleading

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Yary Hluchan <yary@HIDDEN>; dated Thu, 4 Sep 2008 16:35:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 889 <at> debbugs.gnu.org:


Received: (at 889) by debbugs.gnu.org; 26 Feb 2015 07:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 26 02:29:16 2015
Received: from localhost ([127.0.0.1]:58188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YQssm-0001uP-3g
	for submit <at> debbugs.gnu.org; Thu, 26 Feb 2015 02:29:16 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:49587)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <era@HIDDEN>) id 1YQssj-0001uE-JO
 for 889 <at> debbugs.gnu.org; Thu, 26 Feb 2015 02:29:14 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 09FE920B13
 for <889 <at> debbugs.gnu.org>; Thu, 26 Feb 2015 02:29:12 -0500 (EST)
Received: from web5 ([10.202.2.215])
 by compute5.internal (MEProxy); Thu, 26 Feb 2015 02:29:12 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=message-id:x-sasl-enc:from:to
 :mime-version:content-transfer-encoding:content-type:subject
 :date; s=smtpout; bh=hVRsZhUtgOSnuQeAiDUJgNuwQF8=; b=JHzxM8lhg0F
 UJm1hRAf3rfhSxN5x5uC7LhdxwPKdfUuHgmFH6o/kl9LJV+gGm1gvNellg6rBmoW
 ws1RmaoZtB4ck3kP1VIHRyj3Cj6Tz8WGfj3VUGFHfLNYGvfNb0y9pQ5KRBfRHlBS
 dKXRqlinpUbHNRKA7gh5QvO5JR6Dgy+I=
Received: by web5.nyi.internal (Postfix, from userid 99)
 id 9767AB07DC9; Thu, 26 Feb 2015 02:29:12 -0500 (EST)
Message-Id: <1424935752.3969097.232639165.13373231@HIDDEN>
X-Sasl-Enc: rGzE8MTquEytIJrNufitP1dJ1c24r5/14ZurwPO/Q7XH 1424935752
From: era eriksson <era@HIDDEN>
To: 889 <at> debbugs.gnu.org
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Mailer: MessagingEngine.com Webmail Interface - ajax-4ba7306c
Subject: recover-buffers moved
Date: Thu, 26 Feb 2015 09:29:12 +0200
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 889
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

In case somebody still wants to take a look, the recover-buffers code is
now hosted on Github.

https://github.com/tripleee/recover-buffers

The current license is dual GPL/BSD but if you would like to consider
inclusion with Emacs, I'd be happy to change it.

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#889; Package emacs. Full text available.
Changed bug title to '23.0.60; "Recover Crashed Session" is misleading' from '23.0.60; "Recover Crashed Session" doesn't recover editor' Request was from "era eriksson" <era@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '23.0.60; "Recover Crashed Session" doesn't recover editor' from '23.0.60; "Recover Crashed Session" fails "No files can be recovered"' Request was from era+emacsbugs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) unreproducible and fixed. Request was from era+emacsbugs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 889 <at> debbugs.gnu.org:


Received: (at 889) by debbugs.gnu.org; 6 Aug 2011 11:57:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 07:57:05 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QpfV2-0005MA-Qi
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2011 07:57:05 -0400
Received: from out3.smtp.messagingengine.com ([66.111.4.27])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <era@HIDDEN>)
	id 1QpfUz-0005Lh-BH; Sat, 06 Aug 2011 07:57:03 -0400
Received: from compute3.internal (compute3.nyi.mail.srv.osa [10.202.2.43])
	by gateway1.messagingengine.com (Postfix) with ESMTP id B04C520273;
	Sat,  6 Aug 2011 07:56:10 -0400 (EDT)
Received: from web2.messagingengine.com ([10.202.2.212])
	by compute3.internal (MEProxy); Sat, 06 Aug 2011 07:56:10 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
	messagingengine.com; h=message-id:from:to:mime-version
	:content-transfer-encoding:content-type:subject:date; s=smtpout;
	bh=KSXx4gcWH5kRrCggohyk2P0YSoQ=; b=Zkluvezkcj0Dr+TxotJM0CqNgcou
	eiUKy63sHUb32SEDwrEW+QzM6BLd4fX1Fv+cdZAxSJroLcdAVo+8CCWJ+D+GVuA4
	moJ1XhF41DibaJvx+i521KyxDb5zM4Pd8X5nkZ0luJmmvIxTpo1jLwEdpMtJpPs0
	Hf16DAXv60a/89M=
Received: by web2.messagingengine.com (Postfix, from userid 99)
	id 8E87030D8B4; Sat,  6 Aug 2011 07:56:10 -0400 (EDT)
Message-Id: <1312631770.8034.2160131893@HIDDEN>
X-Sasl-Enc: z0YRdnkkOmmtKzyCC8EHztePToK2Bs75nW24igH5n/h0 1312631770
From: "era eriksson" <era@HIDDEN>
To: 889 <at> debbugs.gnu.org, control <at> debbugs.gnu.org
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="us-ascii"
X-Mailer: MessagingEngine.com Webmail Interface
Subject: Reopen #889
Date: Sat, 06 Aug 2011 14:56:10 +0300
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: 889
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

reopen 889
thanks

[Resend -- attempted to reopen before, with a Cc: to Larsi.]

On Wed, 06 Jul 2011 20:05:18 +0200, Lars Magne Ingebrigtsen
<larsi@HIDDEN> wrote:
> I'm unable to reproduce this bug in Emacs 24.  If I have a ~/.saves-*
> file, where some of the files are deleted, and some are not, `M-x
> recover-session' correctly recovers the non-deleted files.
> So either this bug has been fixed by now, or there's something in your
> setup I'm now able to reproduce.

Larsi, I think you misunderstand the issue.  My understanding is that this is a feature request: recover-session should recover your entire session after a crash, which it doesn't do, and never has done.

Reopening; obviously, feel free to reclose if I am mistaken (and / or there really is such functionality in Emacs24 now.  Cursory review of the bzr head suggests that there isn't).

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.


/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#889; Package emacs. Full text available.
bug closed, send any further explanations to 889 <at> debbugs.gnu.org and Yary Hluchan <yary@HIDDEN> Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) unreproducible. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 889 <at> debbugs.gnu.org:


Received: (at 889) by debbugs.gnu.org; 6 Jul 2011 18:05:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 06 14:05:47 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QeWTr-0007uj-Kv
	for submit <at> debbugs.gnu.org; Wed, 06 Jul 2011 14:05:47 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QeWTo-0007uE-IB
	for 889 <at> debbugs.gnu.org; Wed, 06 Jul 2011 14:05:45 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QeWTc-00089V-2R; Wed, 06 Jul 2011 20:05:32 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Yary Hluchan <yary@HIDDEN>
Subject: Re: 23.0.60;
	"Recover Crashed Session" fails "No files can be recovered"
In-Reply-To: <200809041628.m84GSq7p018120@HIDDEN> (Yary Hluchan's
	message of "Thu, 04 Sep 2008 09:28:52 -0700")
Date: Wed, 06 Jul 2011 20:05:18 +0200
Message-ID: <m3mxgrz3mp.fsf@HIDDEN>
References: <200809041628.m84GSq7p018120@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Anna =?iso-8859-1?Q?J=E4rvinen's?= _Man var bland molnen_:
	"Nattmusik"
X-Hashcash: 1:23:110706:889 <at> debbugs.gnu.org::C5COSEBxsk8P9lIs:000000000000000000000000000000000000000000bXOm
X-Hashcash: 1:23:110706:yary@HIDDEN::D1HjkU5if4w1a5Aj:01fvnH
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QeWTc-00089V-2R
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310580332.26814@gkbknQKUmOkax8mGL3zWfQ
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 889
Cc: 889 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

Yary Hluchan <yary@HIDDEN> writes:

> I'm running Emacs 23 on a laptop, and the laptop sometimes loses power.
> That's not the problem.
>
> When I boot and restart Emacs, I go to the File menu > "Recover Crashed
> Session", it brings up a window like so:
>
>  Move to the session you want to recover,
>  then type C-c C-c to select it.
>
>  You can also delete some of these files;
>  type d on a line to mark that file for deletion.
>
>   c:/Documents and Settings/Stephen Edwards/Application Data/.emacs.d/auto-save-list:
>   wildcard .saves-*
>   total used in directory 5 available 21636216
>   -rw-rw-rw-  1 Yary None  778 09-02 16:13 .saves-360-POPNOTE~
>   -rw-rw-rw-  1 Yary None  382 08-15 09:21 .saves-1648-POPNOTE~
>   -rw-rw-rw-  1 Yary None  138 08-10 15:06 .saves-2560-POPNOTE~
> ...
>
> I put the cursor on the first line (".saves-360-POPNOTE~") and hit
> C-c C-C, and get this error in *Messages*:
>
> No files can be recovered from this session now

I'm unable to reproduce this bug in Emacs 24.  If I have a ~/.saves-*
file, where some of the files are deleted, and some are not, `M-x
recover-session' correctly recovers the non-deleted files.

So either this bug has been fixed by now, or there's something in your
setup I'm now able to reproduce.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#889; Package emacs. Full text available.

Message received at 889@HIDDEN:


Received: (at 889) by emacsbugs.donarmstrong.com; 14 Jan 2009 07:30:44 +0000
From era+emacsbugs@HIDDEN Tue Jan 13 23:30:44 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from out1.smtp.messagingengine.com (out1.smtp.messagingengine.com [66.111.4.25])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n0E7UeAE017644
	for <889@HIDDEN>; Tue, 13 Jan 2009 23:30:42 -0800
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by out1.messagingengine.com (Postfix) with ESMTP id B78A020FA5F;
	Wed, 14 Jan 2009 02:30:39 -0500 (EST)
Received: from web6.messagingengine.com ([10.202.2.215])
  by compute1.internal (MEProxy); Wed, 14 Jan 2009 02:30:39 -0500
Received: by web6.messagingengine.com (Postfix, from userid 99)
	id 8C61BB416E; Wed, 14 Jan 2009 02:30:39 -0500 (EST)
Message-Id: <1231918239.9132.1294680381@HIDDEN>
X-Sasl-Enc: v6XKrToKtSfw26M75jvO80wvtI9k8vAAFkvLBe0wxlRd 1231918239
From: era+emacsbugs@HIDDEN
To: 889 <at> debbugs.gnu.org
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
References: <200901121749.n0CHnLDW006634@HIDDEN>
Subject: Re: "Recover Crashed Session" fails "No files can be recovered"
In-Reply-To: <200901121749.n0CHnLDW006634@HIDDEN>
Date: Wed, 14 Jan 2009 09:30:39 +0200

On Mon, 12 Jan 2009 09:49:21 -0800, "Yary Hluchan" said:
> Here's your reminder!

Thanks.

I set up a public Darcs repo at
http://porkmail.org/elisp/recover-buffers

Darcs isn't invasive; you don't actually need Darcs to download it.  In
fact you can just browse the code by visiting that URL.

This piggybacks on recover-session, and then just redefines the C-c C-c
keybinding to run recover-buffers-finish instead of
recover-session-finish.  It does call recover-session-finish from inside
recover-buffers-finish, but then proceeds to visit all files from the
auto-save file.

The recover-buffers-skip-list feature probably isn't very useful; my
vague recollection is that my previous version had this feature because
recovering remote Tramp files used to be something I didn't want to
attempt, but these days Tramp is well-supported and I haven't come up
with any other scenario where I would actually still want this.  So
perhaps it should just be obsoleted.

Hope this is useful for y'all,

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Acknowledgement sent to era+emacsbugs@HIDDEN:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#889; Package emacs. Full text available.

Message received at 889@HIDDEN:


Received: (at 889) by emacsbugs.donarmstrong.com; 18 Dec 2008 08:15:51 +0000
From era+emacsbugs@HIDDEN Thu Dec 18 00:15:50 2008
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: from out1.smtp.messagingengine.com (out1.smtp.messagingengine.com [66.111.4.25])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBI8FlR6016148
	for <889@HIDDEN>; Thu, 18 Dec 2008 00:15:48 -0800
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by out1.messagingengine.com (Postfix) with ESMTP id 4DF971E7E1B
	for <889@HIDDEN>; Thu, 18 Dec 2008 03:15:46 -0500 (EST)
Received: from web6.messagingengine.com ([10.202.2.215])
  by compute1.internal (MEProxy); Thu, 18 Dec 2008 03:15:46 -0500
Received: by web6.messagingengine.com (Postfix, from userid 99)
	id 21FE2C775B; Thu, 18 Dec 2008 03:15:46 -0500 (EST)
Message-Id: <1229588146.7256.1290698721@HIDDEN>
X-Sasl-Enc: i/5z+fxLo73IQffm3XSVnzC9P7YceYHzeOgdqnGFouYe 1229588146
From: era+emacsbugs@HIDDEN
To: 889 <at> debbugs.gnu.org
Content-Disposition: inline
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="ISO-8859-15"
MIME-Version: 1.0
X-Mailer: MessagingEngine.com Webmail Interface
Subject: Re: "Recover Crashed Session" fails "No files can be recovered"
Date: Thu, 18 Dec 2008 10:15:46 +0200

> No files can be recovered from this session now
<...>
> The files exist, the temp files do not exist- in this case, I had
> saved all my work.

I think this is basically a misunderstanding of what "recover-session"
does.

Emacs saves some state while you are editing.  These are stored in the
temporary files you see in the .saves-* file.  If you have unsaved
changes, recover-session can help you reclaim the unsaved data from the
temporary files into the proper files.

It does not "recover" your "session" back to the way it was before the
crash.  (The package "desktop" does something like this, but you have to
invoke "desktop-save" explicitly in order to start it.)

The Info documentation for Emacs explains this fairly well.
http://www.gnu.org/software/emacs/manual/html_node/emacs/Recover.html

Granted, I think it would be a lot more useful if recover-session could
work in the way the reporter expected.

In the meantime, perhaps the docstring for recover-session should be
clarified.

I have a private bit of elisp I call "recover-buffers" but it's not on
the machine where I'm writing this.  Remind me to follow up here with a
pointer to a public repository in a few weeks.  Thanks.

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Acknowledgement sent to era+emacsbugs@HIDDEN:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#889; Package emacs. Full text available.
Severity set to `minor' from `normal' Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.5 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 889) by emacsbugs.donarmstrong.com; 5 Sep 2008 16:39:56 +0000
Received: from bell.apicom.com (bell.apicom.com [216.27.178.243])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m85GdqsT010162
	for <889@HIDDEN>; Fri, 5 Sep 2008 09:39:53 -0700
Received: from bell.apicom.com (localhost [127.0.0.1])
	by bell.apicom.com (8.13.5.20060614/8.13.8) with ESMTP id m85Gdfcd016763;
	Fri, 5 Sep 2008 09:39:41 -0700 (PDT)
Message-Id: <200809051639.m85Gdfcd016763@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
cc: 889 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#889: 23.0.60; "Recover Crashed Session" fails "No files can be recovered" 
In-reply-to: Your message of "Fri, 05 Sep 2008 12:58:01 +0300."
             <uej3ykj86.fsf@HIDDEN> 
Date: Fri, 05 Sep 2008 09:39:41 -0700
From: Yary Hluchan <yary@HIDDEN>

These files exist:
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/process_files_new.php
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/local_file.php
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/filepath.php

These files don't exist:
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#process_files_new.php#
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#local_file.php#
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#filepath.php#

-y

~~~~~

The Moon is Waxing Crescent (32% of Full)




Acknowledgement sent to Yary Hluchan <yary@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#889; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-9.2 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 5 Sep 2008 16:40:12 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m85Ge8D6010528
	for <submit@HIDDEN>; Fri, 5 Sep 2008 09:40:10 -0700
Received: from mail.gnu.org ([199.232.76.166]:39709 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <yary@HIDDEN>)
	id 1KbeKJ-00005t-7y
	for emacs-pretest-bug@HIDDEN; Fri, 05 Sep 2008 12:38:27 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <yary@HIDDEN>)
	id 1KbeLs-0000S6-OK
	for emacs-pretest-bug@HIDDEN; Fri, 05 Sep 2008 12:40:07 -0400
Received: from bell.apicom.com ([216.27.178.243]:64136)
	by monty-python.gnu.org with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <yary@HIDDEN>)
	id 1KbeLo-0000PQ-U9; Fri, 05 Sep 2008 12:40:01 -0400
Received: from bell.apicom.com (localhost [127.0.0.1])
	by bell.apicom.com (8.13.5.20060614/8.13.8) with ESMTP id m85Gdfcd016763;
	Fri, 5 Sep 2008 09:39:41 -0700 (PDT)
Message-Id: <200809051639.m85Gdfcd016763@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
cc: 889 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#889: 23.0.60; "Recover Crashed Session" fails "No files can be recovered" 
In-reply-to: Your message of "Fri, 05 Sep 2008 12:58:01 +0300."
             <uej3ykj86.fsf@HIDDEN> 
Date: Fri, 05 Sep 2008 09:39:41 -0700
From: Yary Hluchan <yary@HIDDEN>
X-detected-kernel: by monty-python.gnu.org: NetBSD 3.0 (DF)
X-CrossAssassin-Score: 2

These files exist:
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/process_files_new.php
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/local_file.php
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/filepath.php

These files don't exist:
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#process_files_new.php#
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#local_file.php#
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#filepath.php#

-y

~~~~~

The Moon is Waxing Crescent (32% of Full)




Acknowledgement sent to Yary Hluchan <yary@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#889; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-6.0 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER,
	RCVD_IN_NIX1 autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 889) by emacsbugs.donarmstrong.com; 5 Sep 2008 09:58:09 +0000
Received: from mtaout3.012.net.il (mtaout3.012.net.il [84.95.2.7])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m859w5r1000429
	for <889@HIDDEN>; Fri, 5 Sep 2008 02:58:07 -0700
Received: from HOME-C4E4A596F7 ([84.229.211.50]) by i_mtaout3.012.net.il (HyperSendmail v2004.12) with ESMTPA id <0K6P006VPVPUU7I1@i_mtaout3.012.net.il> for 889@HIDDEN; Fri, 05 Sep 2008 12:58:43 +0300 (IDT)
Date: Fri, 05 Sep 2008 12:58:01 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#889: 23.0.60;	"Recover Crashed Session" fails "No files can be recovered"
In-reply-to: <200809041628.m84GSq7p018120@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Yary Hluchan <yary@HIDDEN>, 889 <at> debbugs.gnu.org
Cc: emacs-pretest-bug@HIDDEN
Reply-to: Eli Zaretskii <eliz@HIDDEN>
Message-id: <uej3ykj86.fsf@HIDDEN>
References: <200809041628.m84GSq7p018120@HIDDEN>

> Date: Thu, 04 Sep 2008 09:28:52 -0700
> From: Yary Hluchan <yary@HIDDEN>
> Cc: 
> 
> The files exist, the temp files do not exist- in this case, I had
> saved all my work.

Please clarify: which of the files you mentioned in your report exist
and which don't.

Thanks.




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#889; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-8.0 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER,
	RCVD_IN_DNSWL_MED,RCVD_IN_NIX1 autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 5 Sep 2008 09:58:11 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m859w7sk000431
	for <submit@HIDDEN>; Fri, 5 Sep 2008 02:58:08 -0700
Received: from mx10.gnu.org ([199.232.76.166]:43017)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <eliz@HIDDEN>)
	id 1KbY3G-0002Tq-52
	for emacs-pretest-bug@HIDDEN; Fri, 05 Sep 2008 05:56:26 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <eliz@HIDDEN>)
	id 1KbY4p-0001ci-Ra
	for emacs-pretest-bug@HIDDEN; Fri, 05 Sep 2008 05:58:06 -0400
Received: from mtaout3.012.net.il ([84.95.2.7]:57786)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <eliz@HIDDEN>)
	id 1KbY4p-0001cC-Eo
	for emacs-pretest-bug@HIDDEN; Fri, 05 Sep 2008 05:58:03 -0400
Received: from HOME-C4E4A596F7 ([84.229.211.50]) by i_mtaout3.012.net.il (HyperSendmail v2004.12) with ESMTPA id <0K6P006VPVPUU7I1@i_mtaout3.012.net.il> for emacs-pretest-bug@HIDDEN; Fri, 05 Sep 2008 12:58:43 +0300 (IDT)
Date: Fri, 05 Sep 2008 12:58:01 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#889: 23.0.60;	"Recover Crashed Session" fails "No files can be recovered"
In-reply-to: <200809041628.m84GSq7p018120@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Yary Hluchan <yary@HIDDEN>, 889 <at> debbugs.gnu.org
Cc: emacs-pretest-bug@HIDDEN
Reply-to: Eli Zaretskii <eliz@HIDDEN>
Message-id: <uej3ykj86.fsf@HIDDEN>
References: <200809041628.m84GSq7p018120@HIDDEN>
X-detected-kernel: by monty-python.gnu.org: Solaris 9.1
X-CrossAssassin-Score: 2

> Date: Thu, 04 Sep 2008 09:28:52 -0700
> From: Yary Hluchan <yary@HIDDEN>
> Cc: 
> 
> The files exist, the temp files do not exist- in this case, I had
> saved all my work.

Please clarify: which of the files you mentioned in your report exist
and which don't.

Thanks.




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#889; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.9 required=4.0 tests=BAYES_00,FOURLA,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 4 Sep 2008 16:29:16 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m84GTC8a024565
	for <submit@HIDDEN>; Thu, 4 Sep 2008 09:29:13 -0700
Received: from mail.gnu.org ([199.232.76.166]:56574 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <yary@HIDDEN>)
	id 1KbHgC-0000xH-9s
	for emacs-pretest-bug@HIDDEN; Thu, 04 Sep 2008 12:27:32 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <yary@HIDDEN>)
	id 1KbHhk-00023Q-Vx
	for emacs-pretest-bug@HIDDEN; Thu, 04 Sep 2008 12:29:11 -0400
Received: from bell.apicom.com ([216.27.178.243]:55002)
	by monty-python.gnu.org with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <yary@HIDDEN>)
	id 1KbHhk-00022T-F4
	for emacs-pretest-bug@HIDDEN; Thu, 04 Sep 2008 12:29:08 -0400
Received: from bell.apicom.com (localhost [127.0.0.1])
	by bell.apicom.com (8.13.5.20060614/8.13.8) with ESMTP id m84GSq7p018120
	for <emacs-pretest-bug@HIDDEN>; Thu, 4 Sep 2008 09:28:52 -0700 (PDT)
Message-Id: <200809041628.m84GSq7p018120@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.60; "Recover Crashed Session" fails "No files can be recovered"
Date: Thu, 04 Sep 2008 09:28:52 -0700
From: Yary Hluchan <yary@HIDDEN>
X-detected-kernel: by monty-python.gnu.org: NetBSD 3.0 (DF)

I'm running Emacs 23 on a laptop, and the laptop sometimes loses power.
That's not the problem.

When I boot and restart Emacs, I go to the File menu > "Recover Crashed
Session", it brings up a window like so:

 Move to the session you want to recover,
 then type C-c C-c to select it.

 You can also delete some of these files;
 type d on a line to mark that file for deletion.

  c:/Documents and Settings/Stephen Edwards/Application Data/.emacs.d/auto-save-list:
  wildcard .saves-*
  total used in directory 5 available 21636216
  -rw-rw-rw-  1 Yary None  778 09-02 16:13 .saves-360-POPNOTE~
  -rw-rw-rw-  1 Yary None  382 08-15 09:21 .saves-1648-POPNOTE~
  -rw-rw-rw-  1 Yary None  138 08-10 15:06 .saves-2560-POPNOTE~
...

I put the cursor on the first line (".saves-360-POPNOTE~") and hit
C-c C-C, and get this error in *Messages*:

No files can be recovered from this session now

That error happens for any of the .saves files

The contents of .saves-360-POPNOTE~:
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/process_files_new.php
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#process_files_new.php#
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/local_file.php
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#local_file.php#
c:/Documents and Settings/Stephen Edwards/My Documents/programming projects/API/brocade/src/mantis-trunk/phase3/filepath.php
c:\Documents and Settings\Stephen Edwards\My Documents\programming projects\API\brocade\src\mantis-trunk\phase3\#filepath.php#

The files exist, the temp files do not exist- in this case, I had
saved all my work.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-09-03 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include -fno-crossjumping'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Dired by date

Minor modes in effect:
  recentf-mode: t
  partial-completion-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <file> <recover-session> <down> 
<down> <up> <up> <return> C-x 2 C-x k <return> <help-echo> 
<help-echo> <down-mouse-1> <mouse-2> <left> C-x o <left> 
<left> <left> <left> <left> <left> C-c C-c <escape> 
x r e p o <tab> r t - e m <tab> <return>

Recent messages:

File error: Cannot open load file, menuacc

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the `--debug-init' option to view a complete error backtrace.

For information about GNU Emacs and the GNU system, type C-h C-a.
call-interactively: Beginning of buffer
No files can be recovered from this session now




Acknowledgement sent to Yary Hluchan <yary@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#889; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.